summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/tests/test_cifsdd.sh79
-rwxr-xr-xsource4/script/tests/tests_all.sh3
2 files changed, 1 insertions, 81 deletions
diff --git a/source4/script/tests/test_cifsdd.sh b/source4/script/tests/test_cifsdd.sh
deleted file mode 100755
index a8cc30a8a6..0000000000
--- a/source4/script/tests/test_cifsdd.sh
+++ /dev/null
@@ -1,79 +0,0 @@
-#!/bin/sh
-
-# Basic script to make sure that cifsdd can do both local and remote I/O.
-
-if [ $# -lt 4 ]; then
-cat <<EOF
-Usage: test_cifsdd.sh SERVER USERNAME PASSWORD DOMAIN
-EOF
-exit 1;
-fi
-
-SERVER=$1
-USERNAME=$2
-PASSWORD=$3
-DOMAIN=$4
-
-DD=bin/cifsdd
-
-SHARE=tmp
-DEBUGLEVEL=1
-
-failed=0
-
-failtest() {
- failed=`expr $failed + 1`
-}
-
-runcopy() {
- message="$1"
- shift
-
- testit "$message" $VALGRIND $DD $CONFIGURATION --debuglevel=$DEBUGLEVEL -W "$DOMAIN" -U "$USERNAME"%"$PASSWORD" \
- "$@"
-}
-
-compare() {
- cmp "$1" "$2"
-}
-
-incdir=`dirname $0`
-. $incdir/test_functions.sh
-
-sourcepath=tempfile.src.$$
-destpath=tempfile.dst.$$
-
-# Create a source file with arbitrary contents
-dd if=$DD of=$sourcepath bs=1024 count=50 > /dev/null
-
-ls -l $sourcepath
-
-for bs in 512 4k 48k ; do
-
-echo "Testing $bs block size ..."
-
-# Check whether we can do local IO
-runcopy "Testing local -> local copy" if=$sourcepath of=$destpath bs=$bs || failtest
-compare $sourcepath $destpath || failtest
-
-# Check whether we can do a round trip
-runcopy "Testing local -> remote copy" \
- if=$sourcepath of=//$SERVER/$SHARE/$sourcepath bs=$bs || failtest
-runcopy "Testing remote -> local copy" \
- if=//$SERVER/$SHARE/$sourcepath of=$destpath bs=$bs || failtest
-compare $sourcepath $destpath || failtest
-
-# Check that copying within the remote server works
-runcopy "Testing local -> remote copy" \
- if=//$SERVER/$SHARE/$sourcepath of=//$SERVER/$SHARE/$sourcepath bs=$bs || failtest
-runcopy "Testing remote -> remote copy" \
- if=//$SERVER/$SHARE/$sourcepath of=//$SERVER/$SHARE/$destpath bs=$bs || failtest
-runcopy "Testing remote -> local copy" \
- if=//$SERVER/$SHARE/$destpath of=$destpath bs=$bs || failtest
-compare $sourcepath $destpath || failtest
-
-done
-
-rm -f $sourcepath $destpath
-
-testok $0 $failed
diff --git a/source4/script/tests/tests_all.sh b/source4/script/tests/tests_all.sh
index 9fde15f4de..37d37ebd77 100755
--- a/source4/script/tests/tests_all.sh
+++ b/source4/script/tests/tests_all.sh
@@ -10,7 +10,6 @@
$SRCDIR/script/tests/test_echo.sh $SERVER $USERNAME $PASSWORD $DOMAIN || totalfailed=`expr $totalfailed + $?`
$SRCDIR/script/tests/test_posix.sh //$SERVER/tmp $USERNAME $PASSWORD "" || totalfailed=`expr $totalfailed + $?`
$SRCDIR/script/tests/test_local.sh || totalfailed=`expr $totalfailed + $?`
- $SRCDIR/script/tests/test_pidl.sh || totalfailed=`expr $totalfailed + $?`
$SRCDIR/script/tests/test_blackbox.sh $SERVER $USERNAME $PASSWORD $DOMAIN $PREFIX || totalfailed=`expr $totalfailed + $?`
- $SRCDIR/script/tests/test_cifsdd.sh $SERVER $USERNAME $PASSWORD $DOMAIN || totalfailed=`expr $totalfailed + $?`
+ $SRCDIR/script/tests/test_pidl.sh || totalfailed=`expr $totalfailed + $?`
$SRCDIR/script/tests/test_simple.sh //$SERVER/simple $USERNAME $PASSWORD "" || totalfailed=`expr $totalfailed + $?`